Cant install docker

    • OMV 4.x
    • Cant install docker

      Hi
      Im new here, and also very new to openmediavault
      i got a rapsberry pi 3b+ and installed the first image of this page : sourceforge.net/projects/openm…/Raspberry%20Pi%20images/
      Every worked so far, the raspberry pi boots.
      Then i changed password for admin account , and then i tried to install the docker.

      I enabled the docker stable repo in the omv-extras tab section

      Then i selected the openmediavault docker-gui to install from the plugins section
      From there, it goes wrong

      At the end of the install i get all errors.

      No idea why
      I tried to refresh then to see, if i can see the 2 new tabs, but they arent there...
      So something is wrong.
      Who can help me please

      Thanks (not sure i'm on version 4 )
    • skank wrote:

      Thanks (not sure i'm on version 4 )
      Post a screenshot of the dashboard in the GUI of OMV. You should be on OMV 4.1.27. If not you need to update your system.


      skank wrote:

      I enabled the docker stable repo in the omv-extras tab section
      Should be "Docker CE" repo


      skank wrote:

      Then i selected the openmediavault docker-gui to install from the plugins section
      From there, it goes wrong
      I think there are some threads about this issue with RPi in the forum.
      Odroid HC2 - armbian - OMV4.x | Asrock Q1900DC-ITX - Intenso SSD 120GB - OMV5.x
      :!: Backup - Solutions to common problems - OMV setup videos - OMV5 Documentation - user guide :!:
    • macom wrote:

      skank wrote:

      So im stuck? i cant use it?
      Why? Your OMV version is fine. Search the forum for similar issues.
      If you are able to use the CLI post the output of

      dpkg -l | grep docker
      root@Raspberrypi:~# dpkg -l | grep docker
      ii docker-ce 5:19.03.5~3-0~debian-stretch armhf Docker: the open-source application container engine
      ii docker-ce-cli 5:19.03.5~3-0~debian-stretch armhf Docker CLI: the open-source application container engine
      iU openmediavault-docker-gui 4.1.6 all OpenMediaVault plugin for Docker
    • macom wrote:

      Try

      apt-get install openmediavault-docker-gui
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      openmediavault-docker-gui is already the newest version (4.1.6).
      0 upgraded, 0 newly installed, 0 to remove and 59 not upgraded.
      4 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Do you want to continue? [Y/n]



      edit: in the errors i can read, i see something about dependencies problem
    • skank wrote:

      macom wrote:

      Try

      apt-get install openmediavault-docker-gui
      Reading package lists... DoneBuilding dependency tree
      Reading state information... Done
      openmediavault-docker-gui is already the newest version (4.1.6).
      0 upgraded, 0 newly installed, 0 to remove and 59 not upgraded.
      4 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Do you want to continue? [Y/n]



      edit: in the errors i can read, i see something about dependencies problem
      mm i pressed Y
      then it asked me some questions where i said to keep current version
      After the task doing all stuff, i now got the docker plugin

      strange, not sure what i did, but now its there
    • skank wrote:

      thx fixed
      glad you fixed it

      skank wrote:

      installed the unifi controller as host
      however, icant seem to find the gui?
      Nor is a port mentioned somewhere...
      strange
      Open another thread with screenshots of your settings.
      Odroid HC2 - armbian - OMV4.x | Asrock Q1900DC-ITX - Intenso SSD 120GB - OMV5.x
      :!: Backup - Solutions to common problems - OMV setup videos - OMV5 Documentation - user guide :!:
    • Hallo Ich benötige auch einmal eure Hilfe hier.
      nach dem mein Nas gecrasht war, war es mir nicht möglich Docker zustarten auch ein entfernen und neuistallieren von Docker ist nicht möglich
      System Arrakis 4.1.27-1
      Folgende Fehler Meldung kommt

      Hello I also need your help here.
      after my NAS crashed, it was not possible for me to start Docker also remove and reinstall Docker is not possible
      System Arrakis 4.1.27-1
      The following error message appears

      Source Code

      1. Fehler #0: OMV\Config\DatabaseException: Failed to execute XPath query '/config/services/docker'. in /usr/share/php/openmediavault/config/database.inc:78 Stack trace: #0 /usr/share/openmediavault/engined/module/docker.inc(31): OMV\Config\Database->get('conf.service.do...') #1 /usr/share/openmediavault/engined/rpc/services.inc(56): OMVModuleDocker->getStatus() #2 [internal function]: OMVRpcServiceServices->getStatus(Array, Array) #3 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array) #4 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('getStatus', Array, Array) #5 /usr/sbin/omv-engined(537): OMV\Rpc\Rpc::call('Services', 'getStatus', Array, Array, 1) #6 {main}





      dpkg -l | grep docker shows follow


      Source Code

      1. root@iNas:~# dpkg -l | grep dockeriF docker-ce 5:19.03.5~3-0~debian-stretch amd64 Docker: the open-source application container engineii docker-ce-cli 5:19.03.5~3-0~debian-stretch amd64 Docker CLI: the open-source application container engineiU openmediavault-docker-gui 4.1.6 all OpenMediaVault plugin for Docker



      Bei apt-get install openmediavault-docker-gui comes this



      at

      Source Code

      1. docker-ce (5:19.03.5~3-0~debian-stretch) wird eingerichtet ...Job for docker.service canceled.invoke-rc.d: initscript docker, action "start" failed.● docker.service - Docker Application Container Engine Loaded: loaded (/lib/systemd/system/docker.service; enabled; vendor preset: enabled) Active: deactivating (stop-sigterm) Docs: https://docs.docker.com Main PID: 31600 (dockerd) Tasks: 12 Memory: 40.9M CPU: 60ms CGroup: /system.slice/docker.service └─31600 /usr/bin/dockerd -H fd:// --containerd=/run/containerd/containerd.sock
      2. Nov 27 09:24:20 DoggiNas dockerd[31600]: time="2019-11-27T09:24:20.169850994+01:00" level=info msg="ClientConn switching balancer to \"pick_first…module=grpcNov 27 09:24:20 DoggiNas dockerd[31600]: time="2019-11-27T09:24:20.171206184+01:00" level=info msg="parsed scheme: \"unix\"" module=grpcNov 27 09:24:20 DoggiNas dockerd[31600]: time="2019-11-27T09:24:20.171232971+01:00" level=info msg="scheme \"unix\" not registered, fallback to d…module=grpcNov 27 09:24:20 DoggiNas dockerd[31600]: time="2019-11-27T09:24:20.171261147+01:00" level=info msg="ccResolverWrapper: sending update to cc: {[{u…module=grpcNov 27 09:24:20 DoggiNas dockerd[31600]: time="2019-11-27T09:24:20.171307542+01:00" level=info msg="ClientConn switching balancer to \"pick_first…module=grpcNov 27 09:24:20 DoggiNas dockerd[31600]: time="2019-11-27T09:24:20.173906267+01:00" level=info msg="[graphdriver] using prior storage driver: overlay2"Nov 27 09:24:20 DoggiNas dockerd[31600]: time="2019-11-27T09:24:20.262428613+01:00" level=error msg="failed to get event" error="rpc error: code …lugins.mobyNov 27 09:24:20 DoggiNas dockerd[31600]: time="2019-11-27T09:24:20.262542793+01:00" level=warning msg="grpc: addrConn.createTransport failed to connect to…pcNov 27 09:24:20 DoggiNas dockerd[31600]: time="2019-11-27T09:24:20.262549349+01:00" level=warning msg="grpc: addrConn.createTransport failed to connect to…pcNov 27 09:24:20 DoggiNas dockerd[31600]: time="2019-11-27T09:24:20.266178526+01:00" level=info msg="Processing signal 'terminated'"Hint: Some lines were ellipsized, use -l to show in full.dpkg: Fehler beim Bearbeiten des Paketes docker-ce (--configure): Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurückdpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-docker-gui: openmediavault-docker-gui hängt ab von docker-ce (>= 5:19.03); aber: Paket docker-ce ist noch nicht konfiguriert. openmediavault-docker-gui hängt ab von docker-ce (<< 5:19.04); aber: Paket docker-ce ist noch nicht konfiguriert.
      3. dpkg: Fehler beim Bearbeiten des Paketes openmediavault-docker-gui (--configure): Abhängigkeitsprobleme - verbleibt unkonfiguriertFehler traten auf beim Bearbeiten von: docker-ce openmediavault-docker-guiException ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f8bb0bec7b8>Traceback (most recent call last): File "/usr/lib/python3.5/weakref.py", line 117, in removeTypeError: 'NoneType' object is not callableException ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f8bb0bec7b8>Traceback (most recent call last): File "/usr/lib/python3.5/weakref.py", line 117, in removeTypeError: 'NoneType' object is not callableE: Sub-process /usr/bin/dpkg returned an error code (1)

      The post was edited 3 times, last by vandog ().

    • das wirft er aus

      Source Code

      1. Paketlisten werden gelesen... Fertig
      2. Abhängigkeitsbaum wird aufgebaut.
      3. Statusinformationen werden eingelesen.... Fertig
      4. 0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

      wenn ich dann
      "apt-get install openmediavault-docker-gui" kommt am Ende das

      Source Code

      1. Fehler traten auf beim Bearbeiten von:
      2. docker-ce
      3. openmediavault-docker-gui
      4. Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f5024b117b8>
      5. Traceback (most recent call last):
      6. File "/usr/lib/python3.5/weakref.py", line 117, in remove
      7. TypeError: 'NoneType' object is not callable
      8. Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f5024b117b8>
      9. Traceback (most recent call last):
      10. File "/usr/lib/python3.5/weakref.py", line 117, in remove
      11. TypeError: 'NoneType' object is not callable
      12. E: Sub-process /usr/bin/dpkg returned an error code (1)
      Display All
      in der Web Gui zeigt er dann gleich wieder "Fehler Failed to execute XPath query '/config/services/docker'." an
    • apt-get remove openmediavault-docker-gui
      apt-get remove docker-ce
      dpkg -l | grep docker should not show anything, if true:


      apt-get install docker-ce
      apt-get install opemmediavault-docker-gui

      dpkg -l | grep docker should then show only ii in the first position of each line

      If not, post the output here
      Odroid HC2 - armbian - OMV4.x | Asrock Q1900DC-ITX - Intenso SSD 120GB - OMV5.x
      :!: Backup - Solutions to common problems - OMV setup videos - OMV5 Documentation - user guide :!:
    • At apt -get remove it tell its not installed

      Source Code

      1. root@DoggiNas:~# apt-get remove openmediavault-docker-gui
      2. Paketlisten werden gelesen... Fertig
      3. Abhängigkeitsbaum wird aufgebaut.
      4. Statusinformationen werden eingelesen.... Fertig
      5. Paket »openmediavault-docker-gui« ist nicht installiert, wird also auch nicht en tfernt.
      6. 0 aktualisiert, 0 neu installiert, 0 zu entfernen und 2 nicht aktualisiert.
      7. root@DoggiNas:~# apt-get remove docker-ce
      8. Paketlisten werden gelesen... Fertig
      9. Abhängigkeitsbaum wird aufgebaut.
      10. Statusinformationen werden eingelesen.... Fertig
      11. Paket »docker-ce« ist nicht installiert, wird also auch nicht entfernt.
      12. 0 aktualisiert, 0 neu installiert, 0 zu entfernen und 2 nicht aktualisiert.
      13. root@DoggiNas:~# dpkg -l | grep docker
      14. ii docker-ce-cli 5:19.03.5~3-0~debian-stretch amd64 Docker CLI: the open-source application container engine
      Display All



      at apt-get install docker-ce comes the first Error

      Source Code

      1. .
      2. See "systemctl status docker.service" and "journalctl -xe" for details.
      3. invoke-rc.d: initscript docker, action "start" failed.
      4. ● docker.service - Docker Application Container Engine
      5. Loaded: loaded (/lib/systemd/system/docker.service; enabled; vendor preset: e nabled)
      6. Active: activating (auto-restart) (Result: exit-code) since Wed 2019-12-04 16 :08:33 CET; 4ms ago
      7. Docs: https://docs.docker.com
      8. Process: 17817 ExecStart=/usr/bin/dockerd -H fd:// --containerd=/run/container d/containerd.sock (code=exited, status=1/FAILURE)
      9. Main PID: 17817 (code=exited, status=1/FAILURE)
      10. CPU: 46ms
      11. Dez 04 16:08:33 DoggiNas systemd[1]: docker.service: Unit entered failed state.
      12. Dez 04 16:08:33 DoggiNas systemd[1]: docker.service: Failed with result 'ex…de'.
      13. Hint: Some lines were ellipsized, use -l to show in full.
      14. dpkg: Fehler beim Bearbeiten des Paketes docker-ce (--configure):
      15. Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
      16. Trigger für systemd (232-25+deb9u12) werden verarbeitet ...
      17. Fehler traten auf beim Bearbeiten von:
      18. docker-ce
      19. E: Sub-process /usr/bin/dpkg returned an error code (1)
      Display All